Skip to main content
Infrastructure/OTA Versions & Policies

GetPlanSilenceSummary

Get Plan Silence Summary

GET/api/v1/ota/plans/{planId}/silence-summary

Operation ID

GetPlanSilenceSummary

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • planId
    StringRequired

    ID of the upgrade plan to retrieve silence summary for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • planId
    String

    ID of the upgrade plan this silence summary covers

    Example: plan-a1b2c3d4-e5f6-7890-abcd-ef1234567890

  • totalBatches
    Integer

    Total number of batches that had silence windows created

    Example: 4

  • batchRecords
    List

    Batch records

    Example: (nested array)

    • planId
      String

      ID of the upgrade plan this silence record belongs to

      Example: plan-a1b2c3d4-e5f6-7890-abcd-ef1234567890

    • batchN
      Integer

      Batch number this silence record was created for

      Example: 1

    • silenceId
      String

      ID of the alert manager silence created for this batch

      Example: silence-abc123

    • agentIds
      List

      Agent ids

      Example: item1,item2

    • createdAt
      String

      Created at

      Example: 2026-01-15T08:00:00Z

    • releasedAt
      String

      Released at

      Example: 2026-01-15T08:00:00Z

    • suppressedCount
      Integer

      Total number of alerts suppressed during this batch silence window

      Example: 3

  • totalSuppressed
    Integer

    Total count of all alerts suppressed across all batches

    Example: 12